<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [tryWritePort](./bitburner.ns.trywriteport.md)

## NS.tryWritePort() method

Attempt to write to a port.

**Signature:**

```typescript
tryWritePort(portNumber: number, data: any): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  portNumber | number | Port to attempt to write to. Must be a positive integer. |
|  data | any | Data to write, it's cloned with structuredClone(). |

**Returns:**

boolean

True if the data is successfully written to the port, and false otherwise.

## Remarks

RAM cost: 0 GB

Attempts to write data to the specified Netscript port. If the port is full, the data will not be written. Otherwise, the data will be written normally.

